Create Property
curl --request POST \
--url https://los.universal.rollout.com/api/properties \
--header 'Content-Type: application/json' \
--data '
{
"loanId": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "<string>",
"insured": true,
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/properties"
payload = {
"loanId": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "<string>",
"insured": True,
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
loanId: '<string>',
address: {
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>'
},
type: '<string>',
currentValue: 123,
appraisalDate: '<string>',
insured: true,
personId: '<string>',
name: '<string>',
mlsNumber: '<string>',
purchasePrice: 123,
appraisedValue: 123,
occupancyType: '<string>',
zoning: '<string>',
propertyCharacteristics: {},
insuranceProvider: '<string>',
insurancePolicyNumber: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>"
},
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "<string>",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insured": true,
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Properties
Create Property
POST /properties
POST
/
properties
Create Property
POST /properties
Base URL: https://los.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/los.json POST /propertiesBody
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I